# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc欠货管理列表获取合同协议号接口新增合同名称字段验证,33,33-43,sit,be
主数据平台:后台运营系统获取合同协议号接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_do_be")
password = commonFuc().get_business_data(module, "password_do_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进入欠货管理列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url43")
request_body = commonFuc().get_business_data(module, "payload43")
"""

 场景: 欠货管理列表获取合同协议号接口新增合同名称字段验证
 用例名称：欠货管理列表获取合同协议号接口新增合同名称字段验证
 输出：["contractAgreementName"]
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取合同协议相关信息
result = json.loads(result.content)
result = result["data"][0]

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict43")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_variable_exist(check_dict, result)
