# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包批量删除_套包不存在,2264,2264-8,sit,bs
主数据平台:运营后台管理系统Excel导入接口接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
import requests
import json
import os
import random

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers2", cmdc_access_token)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/套包按条件删除.xlsx"

# 随机生成一个不存在的套包code
group_code = random.randint(10000, 1000000000)

# 将套包信息写入文件中
excel = HandleExcel(file_path, "Sheet1")
excel.write_data(row=2, column=1, value=group_code)


# 第二步进行套包导入操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url21")
request_body = commonFuc().get_business_data(module, "payload21")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}


"""
 场景:套包批量删除，导入excel中套包code，不存在时，导入失败
 用例名称：套包批量删除_套包不存在
 输出：{"success":true,"code":"200","message":"OK","data":{"errMsg":{"msg":null,"errList":["平台套包编号【cpg00915465345435】 在数据库记录里不存在！"],"freseniusErrVos":null,"success":false},"freseniusGroups":[]},"freshToken":null}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers, data=request_body)

# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

file.close()
result = {"success": result["data"]["errMsg"]["success"]}
result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict23")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

