# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc验证码失效_短信登录,33,33-62,sit,be
主数据平台:多采商城短信登录接口
"""

from common.common_func import commonFuc
import requests
import json

module = "cmdc_33st"

# 第一步在多采商城进行短信登录
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url62")
request_body = commonFuc().get_business_data(module, "payload62")
# print(request_body)
"""

 场景: 验证码失效_短信登录
 用例名称：验证码失效_短信登录
 输出：{"success":false,"code":"5203","message":"验证码失效"}
"""

# 发送请求
result = requests.post(url, data=request_body)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict62")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

